security:
    role_hierarchy:
        ROLE_USERS:
          - ROLE_USERS_VIEW
          - ROLE_FILE
          - ROLE_FUNCTION-TYPE_VIEW
          - ROLE_USERS_REFERENCE
          - ROLE_STUDENT-REGISTRATION

        ROLE_USERS_VIEW:
          - ROLE_ACCESS_VIEW
          - ROLE_ACCESS_REFERENCE
          - ROLE_ORGANIZATION-FUNCTION_VIEW

        ROLE_OWN-MY-STUDENT:
          - ROLE_FUNCTION-TYPE_VIEW
          - ROLE_USERS_REFERENCE
          - ROLE_EDUCATION-CURRICULUM_REFERENCE

        ROLE_USERS_REFERENCE:
          - ROLE_ACCESS_REFERENCE
          - ROLE_EQUIPMENT_REFERENCE
          - ROLE_ACTIVITY_REFERENCE
          - ROLE_PLACE_REFERENCE
          - ROLE_ROOM_REFERENCE

        ROLE_COMMISSIONS:
          - ROLE_COMMISSIONS_VIEW

        ROLE_COMMISSIONS_VIEW:
          - ROLE_ACCESS_REFERENCE

        ROLE_STUDENT-REGISTRATION:
          - ROLE_STUDENTREGISTRATION_REFERENCE

        ROLE_STUDENT-REGISTRATION_REFERENCE:
          - ROLE_ACCESS_REFERENCE